import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;

public class ScaleExample {
  Display display = new Display();
  Shell shell = new Shell(display);
  Scale scale;
  Text text;
   Label label;
  public ScaleExample() {
    shell.setLayout(new GridLayout(1, true));
	shell.setText("Show scale");
    label = new Label(shell, SWT.HORIZONTAL);
    label.setText("Speed:");

    scale = new Scale(shell, SWT.HORIZONTAL);
	scale.setMinimum(0);
    scale.setMaximum(50);
	scale.setIncrement(1);
	scale.setPageIncrement(10);
	
	scale.addListener(SWT.Selection, new Listener() {
      public void handleEvent(Event event) {
        int value = scale.getMaximum() - scale.getSelection() + scale.getMinimum();
        System.out.println("Speed: " + value);
		text.setText("Speed: " + value);
      }
    });
    text = new Text(shell, SWT.BORDER | SWT.SINGLE);
    text.setEditable(true);
    scale.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_CENTER)); 
    shell.pack();
    shell.open();
    
    while (!shell.isDisposed()) {
      if (!display.readAndDispatch()) {
        display.sleep();
      }
    }
  }
  public static void main(String[] args) {
    new ScaleExample();
  }
}
